SymetryML Documentation
Federated learning

Send federation status request

Ask the other peers in the federation to report their status.

GET
/{user}/fedml/{project}/statusRequest

Ask the other peers in the federation to report their status.

Authorization

SymetryMLAuth
AuthorizationBearer <token>

HMAC-SHA256 signature-based authentication: requests are signed with your secret key and sent with the Customer-ID, Sym-date, Authorization, Content-MD5 and sym-version headers. See SymetryML REST API Security for the signature algorithm and a complete example.

In: header

Path Parameters

user*string

User/Customer identifier

project*string

Project identifier

Response Body

application/json

application/json

curl -X GET "https://example.com/c1/fedml/nbra_prj_iris/statusRequest"
{  "statusCode": 200,  "statusString": "status request sent",  "values": {}}

{  "statusCode": 500,  "statusString": "Error Invalid project name / or not logged in.",  "values": {}}